/*
 * $Id: ResourceUtils.java 56 2006-07-15 23:51:32Z k $
 * Copyright (C) 2006 Klaus Reimer <k@ailis.de>
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

package de.ailis.wlandsuite.utils;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;


/**
 * Resources
 * 
 * @author Klaus Reimer (k@ailis.de)
 * @version $Revision: 56 $
 */

public class ResourceUtils
{
    /**
     * Reads the specified resource as text and returns a string
     * 
     * @param resource
     *            The resource name
     * @return The read text as string
     */

    public static String getText(String resource)
    {
        BufferedReader reader;
        StringBuilder builder;        
        String line;

        builder = new StringBuilder();
        reader = new BufferedReader(new InputStreamReader(ResourceUtils.class
            .getResourceAsStream("/de/ailis/wlandsuite/resource/" + resource)));
        try
        {
            try
            {
                while ((line = reader.readLine()) != null)
                {
                    builder.append(line);
                    builder.append('\n');
                }
                return builder.toString();
            }
            finally
            {
                reader.close();
            }
        }
        catch (IOException e)
        {
            return null;
        }
    }
}
